* {
    padding: 0;
    margin: 0;
}

header {
    position: sticky;
    top: 0;
    outline: 1px solid #333;
    padding-bottom: 1em;
    backdrop-filter: blur(10px);
    z-index: 100;

    & nav {
        & ul {
            display: flex;
            justify-content: space-evenly;
            list-style: none;
            position: relative;
            top: -1em;

            &>li>a {
                text-decoration: none;
                color: brown;

                &:hover {
                    color: red;
                    font-weight: bold;
                }
            }
        }
    }
}

body {
    font-size: 20px;
    line-height: 1.5em;
    color: #333;
    background-image: url(../Images/BG-icosahedron.jpg);
}

main {
    margin: auto;
    width: 80%;
    max-width: 960px;
}

article {
    position: relative;
    padding: 1em;
    margin: 1em;
    border: 1px solid #333;
    background: #fdfef4;
    border-radius: 1em;
    box-shadow: 0 0 0.2em 0 #333;
    & img{
        width: 70%;
        height: 180px;
        object-fit: cover;
        object-position: center center;
        margin: auto;
        display: none;
        border-radius: 10px;
        box-shadow: 0 0 3px 0 #333;
        transition: box-shadow 0.3s , width 0.3s , height 0.3s;
        &:hover{
            box-shadow: 0 0 4px 4px #333;
            width: 75%;
            height: 290px;
        }
        
    }
}

.h1-area {
    position: sticky;
    top: 10px;
    z-index: 200;
    display: flex;
    justify-content: center;
}

h1 {
    text-align: center;
    width: fit-content;
}

h2 {
    margin: 0.75em;
    color: #228;
}

h3 {
    margin: 0.5em 0.25;
    color: #555
}

p {
    margin: 0.25em 0;
}

p::first-letter {
    padding-left: 1em;
    font-size: 1.25em;
    font-weight: bold;
}

footer {
    margin: 1em 0;
    display: flex;
    width: 100%;
    justify-content: space-evenly;
}

#headerImg {
    margin-bottom: 1em;
    height: 250px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    border-radius: 1em;
    display: flex;
    outline: 2px solid darkred;
}

nav>.select-data {
    display: block;
    width: 200px;

    & select {
        display: inline-block;
        width: 75px;

    }
}


@media screen and (orientation: portrait) and (max-width:960px) {
    main {
        font-size: 12px;
        width: 98%;
    }

    .h1-area .logo-position .logo .wrappeLogo {
        animation: none;
        font-size: 0.8em;
        padding: 0.1em 0.5em;
    }
	.h1-area{
		top:25px
	}

    nav>.select-data {
		font-size: 0.75em;
    }
    article img{
        height: 50px;
        &:hover,&:target{
            height: 80px;
        }
    }
}